Summary:	Messaging Middleware
Summary(pl.UTF-8):	Oprogramowanie pośredniczące w komunikacji
Name:		goldwater
Version:	1.4.0
Release:	10
License:	GPL
Group:		Applications
Source0:	http://www.nfluid.com/download/src/%{name}-%{version}.tgz
# Source0-md5:	c9b80c0983603782f4d2f0d352c0520c
Patch0:		%{name}-no_termcap.patch
Patch1:		%{name}-build.patch
Patch2:		%{name}-soname.patch
Patch3:		%{name}-pic.patch
Patch4:		%{name}-make.patch
Patch5:		%{name}-lvalue.patch
Patch6:		%{name}-link.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	expat-devel
BuildRequires:	libuuid-devel
BuildRequires:	phlib-devel >= 1.17
BuildRequires:	readline-devel >= 4.2
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An inherently distributed middleware natively supporting clustering
and automatic fail-over, Goldwater provides high-availability,
connection pooling, resource control, load balancing, process
management, sandboxing and various security layers.

%description -l pl.UTF-8
Jako nieodłącznie dystrybuowane oprogramowanie pośredniczące natywnie
wspierające klastrowanie i automatyczne odtwarzanie po awarii,
Goldwater zapewnia wysoką dostępność, gospodarowanie połączeniami,
kontrolę zasobów, rozkładanie obciążenia, zarządzanie procesami,
uruchamianie w odizolowanym środowisku (sandboxing) oraz różne warstwy
bezpieczeństwa.

%package libs
Summary:	Goldwater Messaging Middleware - libraries
Summary(pl.UTF-8):	Goldwater Messaging Middleware - biblioteki
Group:		Libraries

%description libs
Goldwater Messaging Middleware - Libraries.

%description libs -l pl.UTF-8
Goldwater Messaging Middleware - Biblioteki.

%package devel
Summary:	Goldwater Messaging Middleware - development files
Summary(pl.UTF-8):	Goldwater Messaging Middleware - pliki dla programistów
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	phlib-devel >= 1.17

%description devel
Goldwater Messaging Middleware - development files.

%description devel -l pl.UTF-8
Goldwater Messaging Middleware - pliki dla programistów.

%package static
Summary:	Goldwater Messaging Middleware - static libraries
Summary(pl.UTF-8):	Goldwater Messaging Middleware - statyczne biblioteki
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	phlib-static >= 1.17

%description static
Goldwater Messaging Middleware - static libraries.

%description static -l pl.UTF-8
Goldwater Messaging Middleware - statyczne biblioteki.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
cp -f /usr/share/automake/config.sub .
%{__aclocal} -I .
%{__autoconf}
%configure \
	cflags=our

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README NEWS TODO
%attr(755,root,root) %{_bindir}/*

%files libs
%defattr(644,root,root,755)
%ghost %{_libdir}/lib*.so.1
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%attr(755,root,root) %{_libdir}/Goldwater.dll

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/%{name}

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%changelog
* Tue Aug 06 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/goldwater.git;a=log;h=master

* Tue Aug 06 2013 Jan Rękorajski <baggins@pld-linux.org> 438cd2f
- fix linking dependencies
- rel 10

* Sun Nov 11 2012 Jan Rękorajski <baggins@pld-linux.org> c473d47
- rebuild with expat 2.1.0
- release 9 (by relup.sh)

* Mon Feb 23 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 08a2b75
- release 8

* Mon Feb 23 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 4080bf7
- release 7

* Thu Sep 06 2007 Jan Rękorajski <baggins@pld-linux.org> 72fb376
- rel 6
- ghost soname links

* Thu Sep 06 2007 Jan Rękorajski <baggins@pld-linux.org> cf35863
- rel 5
- fixed build errors hidden by crappy makefiles

* Thu Sep 06 2007 Jan Rękorajski <baggins@pld-linux.org> 8a1adac
- makefile was ignoring errors

* Thu Sep 06 2007 Jan Rękorajski <baggins@pld-linux.org> f7a7a34
- remove broken typecast

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> da9fc8d
- rel 4

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 1dc411e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> bf385c9
- converted to UTF-8

* Thu Sep 28 2006 Elan Ruusamäe <glen@pld-linux.org> f79db43
- strict internal deps

* Sat Sep 17 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 7475736
- rebuild with readline 5.0

* Fri Dec 05 2003 Jakub Bogusz <qboosh@pld-linux.org> 903b920
- added pic patch (build shared lib objects with -fPIC)
- fixed configure rebuilding
- release 2

* Fri Dec 05 2003 Jakub Bogusz <qboosh@pld-linux.org> e002bef
- use -fPIC for shared lib objects; and use CC from configure btw

* Fri Dec 05 2003 undefine <undefine@pld-linux.org> fd1f2b4
- update to 1.40

* Fri Dec 05 2003 undefine <undefine@pld-linux.org> 1e70531
- update to 1.4.0

* Tue Oct 14 2003 Jakub Bogusz <qboosh@pld-linux.org> 63693d1
- ldconfig for -libs, not base

* Tue Oct 14 2003 Jakub Bogusz <qboosh@pld-linux.org> 07720a5
- added build and soname pathes, forced our optflags, added ldconfig calls
- s/e2fsprogs-devel/libuuid-devel/, base R: -libs

* Tue Oct 14 2003 Jakub Bogusz <qboosh@pld-linux.org> a1af7b7
- set soname when linking shared libs

